GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
geos::noding::SegmentStringUtil Class Reference

Utility methods for processing SegmentStrings. More...

`#include <SegmentStringUtil.h>`

## Static Public Member Functions
static void | extractSegmentStrings (const geom::Geometry *g, SegmentString::ConstVect &segStr)
| Extracts all linear components from a given Geometry to SegmentStrings.

## Detailed Description

Utility methods for processing SegmentStrings.

Author
  Martin Davis

## Member Function Documentation

static void geos::noding::SegmentStringUtil::extractSegmentStrings | ( | const geom::Geometry * | g,
|  | SegmentString::ConstVect & | segStr
| ) |  |
| inline static

Extracts all linear components from a given Geometry to SegmentStrings.

The SegmentString data item is set to be the source Geometry.

Parameters

  geom | the geometry to extract from
  segStr | a List of SegmentStrings (output parameter). Ownership of elements pushed to the vector is transferred to caller. Note that the CoordinateSequence associated with the returned SegmentString elements are allocated by this function, so must also be destroyed by caller. TODO: check if this can be optimized by leaving ownership of actual CoordinateSequence to the passed Geometry.

References geos::geom::LineString::getCoordinates(), and geos::geom::util::LinearComponentExtracter::getLines().

The documentation for this class was generated from the following file:

- SegmentStringUtil.h